<?php
require_once '../assets/google-api-php-client/vendor/autoload.php';

session_start();


if(isset($_POST['sendUrls']))
{
  sendURL();
}
elseif (isset($_POST['uploadFileButton'])) {
  if ($_FILES['file']['name'] != "") {
  $uploaddir = '../uploads/';
  $uploadfile = $uploaddir . basename($_FILES['file']['name']);
  if (file_exists($uploadfile)) {
    $_SESSION['uploadFileResult'] = "Zaten böyle bir dosya var!";
    header('Location: ../google-indexing-api.php');
  }
  elseif (move_uploaded_file($_FILES['file']['tmp_name'], $uploadfile)) {
    $_SESSION['uploadFileResult'] = "Dosya yüklendi!";
    header('Location: ../google-indexing-api.php');
  } 
  else {
    $_SESSION['uploadFileResult'] = "Dosya yüklenemedi!";
    header('Location: ../google-indexing-api.php');
  }
}
else {

  $_SESSION['uploadFileResult'] = "Lütfen bir dosya seçiniz!";
  header('Location: ../google-indexing-api.php');
}
}
else {
  $_SESSION['uploadFileResult'] = "Lütfen bir dosya seçiniz!";
  header('Location: ../google-indexing-api.php');
}

function sendURL()
{
  $_SESSION['recentUrls'] = $_POST['urlBox'];
  try {
    
    $urls = $_POST['urlBox'];
    $urls = str_replace("\\r\\n", " ", json_encode($urls));
    $urls = json_decode($urls);
    

    $delimiter = ' ';
    $urls = explode($delimiter, $urls);

    $client = new Google_Client();

    $urlArray = array();

    $sa = (string)$_POST['serviceAccount'];
    $client->setAuthConfig("../uploads/$sa");
    
    $client->addScope('https://www.googleapis.com/auth/indexing');

    $httpClient = $client->authorize();
    $endpoint = 'https://indexing.googleapis.com/v3/urlNotifications:publish';
    
    $c = 0;
    foreach ($urls as $key) {
      $tempUrl = $urls[$c];
      if (strpos($tempUrl, "https://") === false) {
          if (strpos($tempUrl, "http://") === false) 
          {
            $urls[$c] = "https://" . $urls[$c];
          }
      }
      $c+=1;
    }
        

    foreach ($urls as $key) {
      $content = '{
        "url":  "'.$key.'",
        "type": "URL_UPDATED"
      }';
      $result = $httpClient->post($endpoint, [ 'body' => $content ]);
      $array = array('url' => $key, 'statusCode' => $result->getStatusCode());
      array_push($urlArray, $array);
    }
    $_SESSION['urlInfos'] = $urlArray;
    header('Location: ../google-indexing-api.php');
  } catch (Exception $e) {
    $_SESSION['catchException'] = "true";
    
    header('Location: ../google-indexing-api.php');
  }
}

?>